Package networkx :: Package generators :: Module atlas

[frames | no frames]

## Module networkx.generators.atlas

Generators for the small graph atlas.

See "An Atlas of Graphs" by Ronald C. Read and Robin J. Wilson, Oxford University Press, 1998.

Function Summary
| ``graph_atlas_g`()` Return the list [G1,G2,...,G1252] of graphs as named in the Graph Atlas.

Variable Summary
`str` | `__author__` = `'Pieter Swart (swart@lanl.gov)'`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Ma...`
`str` | `__revision__` = `'$Revision: 911 $'`

Function Details

### graph_atlas_g()

Return the list [G1,G2,...,G1252] of graphs as named in the Graph Atlas. G1,...,G1252 are all graphs with up to 7 nodes.

The graphs are listed:
  1. in increasing order of number of nodes;
  2. for a fixed number of nodes, in increasing order of the number of edges;
  3. for fixed numbers of nodes and edges, in increasing order of the degree sequence, for example 111223 < 112222;
  4. for fixed degree sequence, in increasing number of automorphisms.

Note that indexing is set up so that for GAG=graph_atlas_g(), then G123=GAG[123] and G[0]=empty_graph(0)

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Pieter Swart (swart@lanl.gov)'

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Mar 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 911 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net